package comparisonExample4;  // http://www.onjava.com/pub/a/onjava/2003/03/12/java_comp.html

import java.util.Comparator;

public class LastNameComparator implements Comparator<Person> {
  public int compare(Person person, Person anotherPerson) {
    String lastName1 = person.getLastName().toUpperCase();
    String firstName1 = person.getFirstName().toUpperCase();
    String lastName2 = anotherPerson.getLastName().toUpperCase();
    String firstName2 = anotherPerson.getFirstName().toUpperCase();

    if (!(lastName1.equals(lastName2)))  // This is the equals method from String
      return lastName1.compareTo(lastName2);  // This is the compareTo method from String
    else
      return firstName1.compareTo(firstName2);  // This is also the compareTo method from String
  }
}